Track Notification Delivery
curl --request POST \
--url https://api.thefaithapp.com/v1/notification-analytics/track/delivery \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"notification_id": "notification-123"
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({notification_id: 'notification-123'})
};
fetch('https://api.thefaithapp.com/v1/notification-analytics/track/delivery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/notification-analytics/track/delivery"
payload = { "notification_id": "notification-123" }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "Delivery tracked successfully"
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}Notification Analytics
Track Notification Delivery
Records a notification delivery event.
POST
/
v1
/
notification-analytics
/
track
/
delivery
Track Notification Delivery
curl --request POST \
--url https://api.thefaithapp.com/v1/notification-analytics/track/delivery \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"notification_id": "notification-123"
}
'const options = {
method: 'POST',
headers: {
'X-API-Key': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({notification_id: 'notification-123'})
};
fetch('https://api.thefaithapp.com/v1/notification-analytics/track/delivery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/notification-analytics/track/delivery"
payload = { "notification_id": "notification-123" }
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"message": "Delivery tracked successfully"
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}{
"status": "Error",
"message": "The request could not be completed.",
"error": null,
"error_message": null,
"errors": {}
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Body
application/json
Notification analytics identifier.
Optional member identifier.
Mobile platform.
Available options:
ios, android App version.
Optional click action type.
Optional click action metadata.
Response
Notification delivery recorded.
The response is of type object.
Was this page helpful?